Bug 1530259 - Manage policies button not yet implemented for Container Images
Summary: Manage policies button not yet implemented for Container Images
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Hilda Stastna
QA Contact: Matouš Mojžíš
URL:
Whiteboard: ui:container:image:toolbar
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-02 11:49 UTC by Matouš Mojžíš
Modified: 2019-02-07 23:00 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:00:52 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:00:59 UTC

Description Matouš Mojžíš 2018-01-02 11:49:28 UTC
Description of problem:


Version-Release number of selected component (if applicable):
5.9.0.14

How reproducible:
Always

Steps to Reproduce:
1. Add an openshift provider
2. Go to Container images from Container Provider Relationship
3. Check some images
4. Select in Toolbar -> Policy -> Manage Policies

Actual results:
Button not yet implemented error

Expected results:
Manage policies for container images selected from container provider relationships should work same way as container images selected from the menu.

Additional info:

Comment 6 Hilda Stastna 2018-06-25 17:42:28 UTC
The PR https://github.com/ManageIQ/manageiq-ui-classic/pull/4206 fixes the same problem also for Container Replicators, Container Pods, Container Nodes.

Comment 7 CFME Bot 2018-07-11 12:23:04 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/b37683540431922c34ecf9bfbb58ff652c322306
commit b37683540431922c34ecf9bfbb58ff652c322306
Author:     Hilda Stastna <hstastna@redhat.com>
AuthorDate: Tue Jun 26 08:16:34 2018 -0400
Commit:     Hilda Stastna <hstastna@redhat.com>
CommitDate: Tue Jun 26 08:16:34 2018 -0400

    Fix Manage policies button for Container Images

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1530259

    Add missing assign_policies method calling to button method to
    make managing policies work for Container Images, Replicators etc.

 app/controllers/ems_common.rb | 2 +
 1 file changed, 2 insertions(+)

Comment 8 Matouš Mojžíš 2018-07-25 12:55:44 UTC
Verified in 5.10.0.4. Button works correctly now.

Comment 10 errata-xmlrpc 2019-02-07 23:00:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.